httpd(8)

NAZWA
httpd - serwer http Apache

SKŁADNIA
httpd [ -vX? ] [ -d serverroot ] [ -f config ]

OPIS
httpd jest serwerem HTTP Apache. Serwer może być wywoływany przez demona internetowego inetd(1M) za każdym razem, gdy zaistnieje połączenie HTTP, lub w innym wypadku działać jako demon.

OPCJE

-d serverroot
    Ustaw początkową wartość zmiennej ServerRoot na serverroot. Może to być przedefiniowane przez komendę ServerRoot w pliku konfiguracyjnym. Domyślnym jest /etc/httpd.

-f config
    Wywołaj na starcie komendy z pliku config. Jeśli config nie zaczyna się od /, to jest uznawany za relatywny w ścieżce do ServerRoot. Domyślnym jest conf/httpd.conf.

-X  Pracuj w trybie pojedynczo procesowym, jedynie w celach wewnętrzno debuggowych; demon nie odłącza się od terminala ani nie robi żadnych dzieci ;) (forkuje to znaczy ;). NIE używaj tego trybu do udostępniania zwykłych usług WWW.

-v  Wydrukuj wersję httpd i zakończ.

-?  Wydrukuj listę opcji httpd i zakończ.

PLIKI
/etc/httpd/conf/httpd.conf
/etc/httpd/conf/srm.conf
/etc/httpd/conf/access.conf
/etc/httpd/conf/mime.types
/var/log/httpd/error_log
/var/log/httpd/access_log
/var/run/httpd.pid

ZOBACZ TAKŻE
inetd(1m).

Dokumentacja serwera Apache jest dostępna z http://www.apache.org/